package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.UserDTO;

import java.util.List;

/**
 * @author guojx
 * @date 2019/7/16 6:48 PM
 */
public interface UserApiService {

    /**
     * 新增用户
     * @param userDTO
     * @return
     */
    ServiceResponse<Integer> saveUser(UserDTO userDTO);

    /**
     * 编辑
     * @param userDTO
     * @return
     */
    ServiceResponse editUser(UserDTO userDTO);

    /**
     * 用户详情
     * @Title: getUserById 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.auth.dto.UserDTO> 
      */
    ServiceResponse<UserDTO> getUserById(Integer userId);

    /**
     * 企业查询超级管理员
     * @param enterpriseId
     * @return
     */
    ServiceResponse<UserDTO> getUserByEnterpriseId(Integer enterpriseId);

    ServiceResponse<List<UserDTO>> listUserByPhoneNumber(String phoneNumber);

    ServiceResponse<UserDTO> login(String phoneNumber, Integer enterpriseId, String password);
}
